Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 327)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 328)
@@ -347,8 +347,10 @@
   IF keyword_set(strictfill) THEN BEGIN
     tmp = z2d ge max
-    tmp = 1b - byte(extrapolate(tmp, tmp, 1, x_periodic = keyword_set(key_periodic)*(nx EQ jpi) ))
-    trifield = triangule(temporary(tmp)*mask, coinmonte = coinmontemask $
-               , coindescend = coindescendmask, keep_cont = 0)
-    indicezoommask = (lindgen(jpi, jpj))[firstx:lastx, firsty:lasty]
+    IF total(tmp GE 1) THEN BEGIN 
+      tmp = 1b - byte(extrapolate(tmp, tmp, 1, x_periodic = keyword_set(key_periodic)*(nx EQ jpi) ))
+      trifield = triangule(temporary(tmp)*mask, coinmonte = coinmontemask $
+                           , coindescend = coindescendmask, keep_cont = 0)
+      indicezoommask = (lindgen(jpi, jpj))[firstx:lastx, firsty:lasty]
+    ENDIF
   ENDIF
 ; filling the mask values
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 327)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 328)
@@ -474,10 +474,12 @@
       IF keyword_set(strictfill) THEN BEGIN
         tmp = z2d ge max
-        tmp = 1b - byte(extrapolate(tmp, tmp, 1))
-        key_save = key_periodic & key_periodic = 0
-        trifield = triangule(temporary(tmp)*mask, coinmonte = coinmontemaskaa $
-                             , coindescend = coindescendmaskaa, keep_cont = 0)
-        key_periodic = key_save
-        usetri = 2
+        IF total(tmp GE 1) THEN BEGIN 
+          tmp = 1b - byte(extrapolate(tmp, tmp, 1))
+          key_save = key_periodic & key_periodic = 0
+          trifield = triangule(temporary(tmp)*mask, coinmonte = coinmontemaskaa $
+                               , coindescend = coindescendmaskaa, keep_cont = 0)
+          key_periodic = key_save
+          usetri = 2
+        ENDIF
       ENDIF
       z2d = remplit(z2d,nite=2+keyword_set(nan), mask = mask, /basique, _extra=ex)
@@ -494,5 +496,5 @@
                                      , coindescend = coindescendmask)
       ENDIF
-      IF NOT keyword_set(strictfill) THEN trifield = triangulation
+      IF n_elements(key_save) EQ 0 THEN trifield = triangulation
 ;----------------------------------------------------------------------
       pltbase, z2d, xx, yy, mask, xx, yy, level_z2d, colnumb, contour = contour, /noerase $
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 327)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 328)
@@ -311,9 +311,11 @@
   IF keyword_set(strictfill) THEN BEGIN
     tmp = z2d ge max
-    tmp = 1b - byte(extrapolate(tmp, tmp, 1))
-    key_save = key_periodic & key_periodic = 0
-    trifield = triangule(temporary(tmp)*mask, coinmonte = coinmontemask $
-                         , coindescend = coindescendmask, keep_cont = 0)
-    key_periodic = key_save
+    IF total(tmp GE 1) THEN BEGIN 
+      tmp = 1b - byte(extrapolate(tmp, tmp, 1))
+      key_save = key_periodic & key_periodic = 0
+      trifield = triangule(temporary(tmp)*mask, coinmonte = coinmontemask $
+                           , coindescend = coindescendmask, keep_cont = 0)
+      key_periodic = key_save
+    ENDIF
   ENDIF
   IF n_elements(fillxdir) EQ 0  THEN fillxdir = 1
@@ -347,5 +349,5 @@
 ;   if keyword_set(notri) then trifield = -1 $
 ;   ELSE trifield = triangule(mask,/basic)
-  if NOT keyword_set(strictfill) AND ((usetri GE 1 AND (vargrid EQ 'T' OR vargrid EQ 'W')) $
+  if n_elements(key_save) EQ 0 AND ((usetri GE 1 AND (vargrid EQ 'T' OR vargrid EQ 'W')) $
                                       OR (usetri EQ 2 AND (vargrid NE 'T' AND vargrid NE 'W'))) THEN $
                                          trifield = triangule(mask, /basic)
